#!/usr/bin/bash

version="4.1.0.Final"
name="eclipse-jbosstools"

MODULES="jbosstools-base \
         jbosstools-build \
         jbosstools-build-sites \
         jbosstools-freemarker \
         jbosstools-javaee \
         jbosstools-jst \
         jbosstools-openshift \
         jbosstools-server \
         jbosstools-webservices"

# Where possible, commit SHAs based on stable Git tag
declare -A commits
commits[jbosstools-base]="5003c8c47df3c66f69806393b07f0f8ff8a074a0"
commits[jbosstools-build]="4138d7c24d0867a2e0cdc7df54c7b55a92a496cb"
commits[jbosstools-build-sites]="23752c4b9d84ad29ba1d49eddb01942bd7db64d4"
commits[jbosstools-freemarker]="8d132659a1105d1ce6eb1392252e87189bb45018"
commits[jbosstools-javaee]="61d51217ecb1560cb41f5d16505abd588c3c7efc"
commits[jbosstools-jst]="f1182cd47a961ec52a080df607da96deed2b33a7"
commits[jbosstools-openshift]="52cfb3f4b6cb7709c779842c86cf009f34e57c3f"
commits[jbosstools-server]="3443a6af700d4cbe46025c863e81aa433a94c420"
commits[jbosstools-webservices]="b0a9c3d4c716b32c080fccab9a37593576e4e245"

mkdir ${name}-${version}/

for module in ${MODULES}; do
  wget https://github.com/jbosstools/${module}/archive\
/${commits[${module}]}/${module}-${version}.tar.gz
done

pushd ${name}-${version}
  for module in ${MODULES}; do
    tar xfz ../${module}-${version}.tar.gz
    mv ${module}-${commits[${module}]} ${module}
  done

  for ext in jar war zip class; do
    find -type f -name *.${ext} -delete
  done
popd

tar cJf ${name}-${version}.tar.xz ${name}-${version}/
rm -r ${name}-${version}

for module in ${MODULES}; do
  rm ${module}-${version}.tar.gz
done
